Name: thinkfinger
Version: 0.3
Release: alt2

Summary: ThinkFinger is a driver for the SGS Thomson Microelectronics fingerprint reader found in most IBM/Lenovo ThinkPads.
License: GPLv2
Group: System/Base
Url: http://thinkfinger.sourceforge.net/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar.gz
Source1: %name-udev.rules
Source2: %name-system-auth
Source3: %name-modprobe.alias

# Automatically added by buildreq on Thu May 22 2008
BuildRequires: doxygen gcc-c++ libpam-devel libusb-devel

%description
ThinkFinger is a driver for the UPEK/SGS Thomson Microelectronics fingerprint
reader (USB ID 0483:2016).  The device is being found either as a standalone
USB device, built into USB keyboards or built into laptops.

%prep
%setup -q

%build
%autoreconf
%configure \
	--enable-pam \
	--with-securedir=/%_lib/security \
	--with-birdir=%_localstatedir/thinkfinger \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_localstatedir/thinkfinger
install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/udev/rules.d/90-%name.rules
install -pD -m0644 %SOURCE2 %buildroot%_sysconfdir/pam.d/system-auth-%name
install -pD -m0644 %SOURCE3 %buildroot%_sysconfdir/modprobe.d/%name

%pre
%_sbindir/groupadd -r -f fingerprint >/dev/null 2>&1 || :

%files
%_sysconfdir/modprobe.d/%name
%_sysconfdir/pam.d/system-auth-%name
%_sysconfdir/udev/rules.d/90-%name.rules
%_sbindir/*
/%_lib/security/pam_thinkfinger.so
%_libdir/*.so.*
%_man1dir/*.1*
%_man8dir/*.8*
%dir %attr(0770,root,fingerprint) %_localstatedir/thinkfinger

%changelog
* Sat May 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.3-alt2
- added modules alias

* Thu May 22 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.3-alt1
- initial build

